It can't find gcc

I get a compile error 'can't find compiler' which is in /usr/lib64/gcc. Running SUSE 10. RPM's fail's to I don't know where the log is. How do I direct the compile - path?

Comments

Can't find gcc

OK. I didn't respond. I assume I have the full gcc package. I use Yast reg. The system says it's 10.2. Should have sent the error file.

It was created by lame configure 3.97, which was
generated by GNU Autoconf 2.59. Invocation command line was

$ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = linux-kjxt
uname -m = x86_64
uname -r = 2.6.18.8-0.7-default
uname -s = Linux
uname -v = #1 SMP Tue Oct 2 17:21:08 UTC 2007

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /home/mike/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin
PATH: /usr/lib64/jvm/jre/bin
PATH: /usr/lib/mit/bin
PATH: /usr/lib/mit/sbin
PATH: .

## ----------- ##
## Core tests. ##
## ----------- ##

configure:1574: checking build system type
configure:1592: result: x86_64-unknown-linux-gnu
configure:1600: checking host system type
configure:1614: result: x86_64-unknown-linux-gnu
configure:1637: checking for a BSD-compatible install
configure:1692: result: /usr/bin/install -c
configure:1703: checking whether build environment is sane
configure:1746: result: yes
configure:1811: checking for gawk
configure:1827: found /usr/bin/gawk
configure:1837: result: gawk
configure:1847: checking whether make sets $(MAKE)
configure:1867: result: yes
configure:2037: checking whether to enable maintainer-specific portions of Makefiles
configure:2046: result: no
configure:2068: checking for style of include used by make
configure:2096: result: GNU
configure:2173: checking for gcc
configure:2202: result: no
configure:2253: checking for cc
configure:2282: result: no
configure:2295: checking for cc
configure:2341: result: no
configure:2394: checking for cl
configure:2423: result: no
configure:2437: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=x86_64-unknown-linux-gnu
ac_cv_build_alias=x86_64-unknown-linux-gnu
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=x86_64-unknown-linux-gnu
ac_cv_host_alias=x86_64-unknown-linux-gnu
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run aclocal-1.9'
ALLOCA=''
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run tar'
ANSI2KNR=''
AR=''
AUTOCONF='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run autoconf'
AUTOHEADER='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run autoheader'
AUTOMAKE='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run automake-1.9'
AWK='gawk'
CC=''
CCDEPMODE=''
CFLAGS=''
CONFIG_DEFS=''
CPP=''
CPPFLAGS=''
CPUTYPE=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
F77=''
FFLAGS=''
FRONTEND_CFLAGS=''
FRONTEND_LDADD=''
FRONTEND_LDFLAGS=''
GTK_CFLAGS=''
GTK_CONFIG=''
GTK_LIBS=''
HAVE_NASM_FALSE=''
HAVE_NASM_TRUE=''
INCLUDES=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDADD=''
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIBTOOL_DEPS=''
LIB_MAJOR_VERSION=''
LIB_MINOR_VERSION=''
LIB_WITH_DECODER_FALSE=''
LIB_WITH_DECODER_TRUE=''
LN_S=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEDEP=''
MAKEINFO='${SHELL} /home/mike/Programs/Lame/lame-3.97/missing --run makeinfo'
NASM=''
NASM_FORMAT=''
OBJEXT=''
PACKAGE='lame'
PACKAGE_BUGREPORT='lame-dev@lists.sf.net'
PACKAGE_NAME='lame'
PACKAGE_STRING='lame 3.97'
PACKAGE_TARNAME='lame'
PACKAGE_VERSION='3.97'
PATH_SEPARATOR=':'
RANLIB=''
RM_F=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
U=''
VERSION='3.97'
WITH_BRHIST_FALSE=''
WITH_BRHIST_TRUE=''
WITH_FRONTEND=''
WITH_MP3RTP=''
WITH_MP3X=''
ac_ct_AR=''
ac_ct_CC=''
ac_ct_CXX=''
ac_ct_F77=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='x86_64-unknown-linux-gnu'
build_alias=''
build_cpu='x86_64'
build_os='linux-gnu'
build_vendor='unknown'
datadir='${prefix}/share'
exec_prefix='NONE'
host='x86_64-unknown-linux-gnu'
host_alias=''
host_cpu='x86_64'
host_os='linux-gnu'
host_vendor='unknown'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/mike/Programs/Lame/lame-3.97/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
prefix='NONE'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE "lame"
#define PACKAGE_BUGREPORT "lame-dev@lists.sf.net"
#define PACKAGE_NAME "lame"
#define PACKAGE_STRING "lame 3.97"
#define PACKAGE_TARNAME "lame"
#define PACKAGE_VERSION "3.97"
#define VERSION "3.97"

configure: exit 1

Need binaries

In addition to any libraries you have in /usr/lib64, you also need the compiler binaries which will typically be in /usr/bin. Make sure you have the gcc package installed (for example, http://download.opensuse.org/distribution/10.3/repo/oss/suse/x86_64/gcc-4.2-24.x86_64.rpm or the equivalent from your specific version of SUSE).

can't get it right

I left more info. Don't know if schultmc received it or correctly.

Still missing gcc

Sorry for the late reply - I missed your earlier message.

The config log errors indicate you still don't have gcc installed.

What happens if you try to run

gcc -v

Installing gcc

Try running

yast -i gcc

make

You might also need gnumake and other development libraries depending on what you're compiling.